Skip to main content
POST
/
organizations
/
{organization_name}
/
file_tokens
/
{filename+}
Sign a file and return a signed URL
curl --request POST \
  --url https://storage-api.salad.com/organizations/{organization_name}/file_tokens/{filename+} \
  --header 'Content-Type: application/json' \
  --header 'Salad-Api-Key: <api-key>' \
  --data '
{
  "method": "GET",
  "exp": "3600"
}
'
import requests

url = "https://storage-api.salad.com/organizations/{organization_name}/file_tokens/{filename+}"

payload = {
"method": "GET",
"exp": "3600"
}
headers = {
"Salad-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Salad-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({method: 'GET', exp: '3600'})
};

fetch('https://storage-api.salad.com/organizations/{organization_name}/file_tokens/{filename+}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>"
}
Last Updated: October 04, 2024

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required
filename+
string
required

Body

application/json
method
string

The HTTP method to sign the URL for. Currently only supports GET

Example:

"GET"

exp
string

The expiration ttl of the signed URL in seconds

Example:

"3600"

Response

200 - application/json

Signed URL generated successfully

url
string